Uploaded image for project: 'Couchbase Documentation'
  1. Couchbase Documentation
  2. DOC-8104

Mismatch in Python six version with SDK and sample app

    XMLWordPrintable

Details

    Description

      Following the instructions to install the Couchbase SDK provided version 1.15.0 of the six package. Unfortunately the sample application specifies only the 1.10.0 version in its requirements.txt (on the specified 6.5 branch - should this also be 6.6 now?).

      Does the sample need to specify a >=1.10.0 relationship rather than a == relationship for the six version?

      Reporter: Patrick Stephens
      E-mail: patrick.stephens@couchbase.com

      Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

        Activity

          Should have indicated the test app appears to work fine anyway after this.

          Manually forced the install of six 1.15.0 afterwards including uninstall of 1.10.0 which also left everything working fine.

          Looks to be a simple update to the requirements.txt required.

          patrick.stephens Patrick Stephens (Inactive) added a comment - Should have indicated the test app appears to work fine anyway after this. Manually forced the install of six 1.15.0 afterwards including uninstall of 1.10.0 which also left everything working fine. Looks to be a simple update to the requirements.txt required.
          richard.smedley Richard Smedley added a comment - Thanks Patrick Stephens https://github.com/couchbaselabs/try-cb-python/pull/17/commits/6cd493d5bbf3a9c0790d6c587de4725e4e1307b3 https://github.com/couchbaselabs/try-cb-python/pull/18/commits/d9b47d994551a36dc6441111159328255f584321

          People

            richard.smedley Richard Smedley
            patrick.stephens Patrick Stephens (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Gerrit Reviews

                There are no open Gerrit changes

                PagerDuty